易客CRM,中小企业最忠实的合作伙伴!

PHPExcel在linux服务器上问题

未分类 admin 889℃

PHPExcel1.7.2在windows上部署使用没有任何问题,但是在Linux服务器上却遇到了奇怪的问题,一直提示:

Warning: require_once() [function.require-once]: URL using bad/illegal format or missing URL in /var/www/Classes/PHPExcel.php on line 50

经过google搜索,有的同学通过升级到PHP5.3.1版本解决,但易客CRM用的PHP5.2.x,不能通过此方法解决,皇天不负有心人,终于找到了解决方法,原来只需注释掉一行代码即可。

解决方法:
把 PHPExcel.php 文件里面的 require_once ‘PHPExcel/Shared/ZipStreamWrapper.php’; 这行代码注释掉即可,估计和zip相关的程序有关。

在此感谢Google和PHPChina。

PS:易客CRM中有关Excel的处理将全部转向PHPExcel库。

转载请注明:易客CRM官方博客 » PHPExcel在linux服务器上问题

喜欢 (0)or分享 (0)